%% Simulate a linear system
%  3*d^2(y)/dt^2 + 2.4 dy/dt + 7 y = 8 u

%% Create the system
G = tf(8,[3 2.4 7]);

%% Step response with zeros ICs
[y,t] = step(G);
figure(1)
plot(t,y);
xlabel('Time, sec');
ylabel('y');

%% Sine response with zero ICs
u = sin(2*t);
[y2,t2] = lsim(G,u,t);

figure(2);
plot(t2,y2);
xlabel('Time, sec');
ylabel('y');

%% Simulate Simulink model
Tfinal = 10;
sim('AEM4321_16Sept2016_Simulink',Tfinal);

figure(3)
plot(tout,y3)
xlabel('Time, sec');
ylabel('y')

figure(4)
plot(tout,y4)
xlabel('Time, sec');
ylabel('y')


